
#include "common.h"
#include "Sprite.h"


// スプライト
enum
{
	SPR_PHOTO	= 0,			// 背景
	SPR_FISH,					// 魚
	SPR_MAX		= SPR_FISH + 10,
};

static sys::Sprite	sprite[SPR_MAX];			// スプライト

static int	cnt;			// カウンタ


/************
    初期化
 ************/
void	init_app(void)
{
	static const
	char*	tex_name[SPR_MAX] =
			{
				"photo.png",
				"animal_dolphin.png",
				"animal_hoojirozame.png",
				"fish_buri.png",
				"fish_ishidai.png",
				"fish_katsuo.png",
				"fish_kingyo.png",
				"fish_mola.png",
				"fish_tako.png",
				"fish_tatsunootoshigo.png",
				"sakana_mure.png",
			};

	for (int i = 0; i < SPR_MAX; i++) {			// スプライト初期化（リソース指定）
		sprite[i].set(sys::TexCache::RES_ASSET, tex_name[i]);
	}

	cnt = 0;			// カウンタ
}

/******************************
    稼働
		戻り値	アプリ続行か
 ******************************/
Bool	update_app(void)
{
	sprite[SPR_PHOTO].draw(0.0f, 0.0f);			// 背景

												// 魚
	sprite[SPR_FISH + (((cnt*4 + 640)/1280)*2 % 10)].draw(640 - ((cnt*4 + 640) % 1280), -128.0f);
	sprite[SPR_FISH + (((cnt*4/1280)*2 + 1) % 10)].draw(640 - (cnt*4 % 1280), -128.0f);
	cnt++;

	return	TRUE;
}

/**************** End of File *************************************************/